centos 6 安装simple-obfs缺失及需要更新包

以下是依赖包,其中几个包centos本身不带,要到epel源中安装。autoconf, automake要更新为新版本

[root@vc6 feng]# yum install gcc gettext autoconf libtool automake make pcre-devel asciidoc xmlto c-ares-devel libev-devel libsodium-devel mbedtls-devel -y
[root@vc6 feng]# yum install epel-release
[root@vc6 feng]# yum install libev-devel libsodium-devel mbedtls-devel

 

 

下面几个文件中,#include <ev.h> 改成  #include <libev/ev.h>

[feng@vc6 simple-obfs-0.0.3]$ vim src/server.h
[feng@vc6 simple-obfs-0.0.3]$ vim src/resolv.c
[feng@vc6 simple-obfs-0.0.3]$ vim src/local.h

 

rpm打包参考

http://blog.csdn.net/chengfei112233/article/details/7641923

http://hlee.iteye.com/blog/343499

发表评论

电子邮件地址不会被公开。